#!/usr/bin/env python
from fabric.api import task, local, env, hosts
from fabric.contrib.project import rsync_project
from os import environ

env.use_ssh_config = True


@task
@hosts('www.shore.co.il')
def publish():
    rsync_project(remote_dir='''/var/www/htdocs/www.shore.co.il/repo''',
                  exclude=['''fabfile.*''', 'lists/', 'conf/', 'db/'],
                  local_dir=environ['REPREPRO_BASE_DIR'],
                  delete=True,
                  extra_ops='-z')


@task
def update():
    local('''reprepro createsymlinks''')
    local('''reprepro --delete export''')
